[android-components](../../../index.md) / [org.mozilla.telemetry.util](../../index.md) / [FileUtils](../index.md) / [FileLastModifiedComparator](./index.md)

# FileLastModifiedComparator

`open class FileLastModifiedComparator : `[`Comparator`](http://docs.oracle.com/javase/7/docs/api/java/util/Comparator.html)`<`[`File`](http://docs.oracle.com/javase/7/docs/api/java/io/File.html)`>` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/telemetry/src/main/java/org/mozilla/telemetry/util/FileUtils.java#L52)

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `FileLastModifiedComparator()` |

### Functions

| Name | Summary |
|---|---|
| [compare](compare.md) | `open fun compare(lhs: `[`File`](http://docs.oracle.com/javase/7/docs/api/java/io/File.html)`, rhs: `[`File`](http://docs.oracle.com/javase/7/docs/api/java/io/File.html)`): `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html) |
